Bug 1108352 - subscription-manager register w/ activation key fails because hidden user does not have org permissions
Summary: subscription-manager register w/ activation key fails because hidden user doe...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management   
(Show other bugs)
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-11 19:30 UTC by Tom McKay
Modified: 2016-04-22 16:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 14:06:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 6172 None None None 2016-04-22 16:08 UTC

Description Tom McKay 2014-06-11 19:30:27 UTC
```
$ sudo subscription-manager register --org megacorp --activationkey="Satellite-6 Demo"
User 'hidden-13v0eu' does not belong to Organization 'megacorp'.
```
```
[ERROR 2014-06-11 15:21:07 cp_proxy] Katello::HttpErrors::NotFound: User 'hidden-13v0eu' does not belong to Organization 'megacorp'.
 | /home/thomasmckay/code/katello/app/controllers/katello/api/v1/candlepin_proxies_controller.rb:304:in `find_organization'
 | /home/thomasmckay/code/katello/app/controllers/katello/api/v1/candlepin_proxies_controller.rb:311:in `find_activation_keys'
 | /home/thomasmckay/code/katello/app/controllers/katello/api/v1/candlepin_proxies_controller.rb:224:in `consumer_activate'
```

Comment 1 Tom McKay 2014-06-11 19:30:29 UTC
Created from redmine issue http://projects.theforeman.org/issues/6172

Comment 3 Eric Helms 2014-06-12 02:49:50 UTC
This bug https://bugzilla.redhat.com/show_bug.cgi?id=1108410 and more directly this newly created bug from the upstream issue https://bugzilla.redhat.com/show_bug.cgi?id=1108416 should be cherry picked prior to this bug going in.

Comment 7 sthirugn@redhat.com 2014-06-13 15:21:43 UTC
Verified.

# subscription-manager orgs
Username: admin
Password: 
+-------------------------------------------+
          admin Organizations
+-------------------------------------------+

Name: ACME_Corporation
Key:  ACME_Corporation

Name: newcorp
Key:  newcorp

# subscription-manager register --org="ACME_Corporation" --activationkey=actkey1
The system has been registered with ID: 33236385-62d5-41c2-a5c1-83f630376e1e

Version Tested:
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.17-1.el6sat.noarch
* foreman-compute-1.6.0.17-1.el6sat.noarch
* foreman-gce-1.6.0.17-1.el6sat.noarch
* foreman-libvirt-1.6.0.17-1.el6sat.noarch
* foreman-ovirt-1.6.0.17-1.el6sat.noarch
* foreman-postgresql-1.6.0.17-1.el6sat.noarch
* foreman-proxy-1.6.0.7-1.el6sat.noarch
* foreman-selinux-1.6.0-4.el6sat.noarch
* foreman-vmware-1.6.0.17-1.el6sat.noarch
* katello-1.5.0-26.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.48-1.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.20.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.20.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.20.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.20.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.20.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.20.beta.el6sat.noarch
* pulp-server-2.4.0-0.20.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

Comment 8 Bryan Kearney 2014-07-02 14:06:04 UTC
This was delivered with 6.0.3, which is the Satellite 6 Beta.


Note You need to log in before you can comment on or make changes to this bug.